<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>3lekce</title>

</head>
<body>
    
    <script>
        const products = [{
            name: "GTA V",
            description: "Nova super hra od 12 let na PC.",
            price: 1500,
            discount: 20
        }, {
            name: "Zaklinac 3",
            description: "CD project vydal vybornou hru ve velkem otevrenem svete. Vydano na PC.",
            price: 1200,
            discount: 5
        }, {
            name: "Tomb Raider (2018)",
            description: "Super strilecka na opustenem ostrove. Vydano 2018 na PC a PlayStation.",
            price: 420,
            discount: 0
        }]

        if (products.length === 0) {
            console.log("Error! Nemam zadne produkty.")
        } else if (products.length === 1) {
            console.log("Nasel jsem celkem 1 produkt.")
        } else {
            console.log("Nasel jsem celkem", products.length, "produkty.")
        }

        products.forEach(product => {
            console.log(product.name)
        })

        const productsWithDiscount = products.filter(product => {
            return product.discount > 0
        })

        console.log(productsWithDiscount)

        const productsWithFinallPrice = products.map((product, index) => {
            return {
                ...product,
                finallPrice: product.price - (product.price / 100) * product.discount
            }
        })

        console.log(productsWithFinallPrice)


    </script>


</body>
</html>